## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 14;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond tests 1

Name:           python-rfc3339-validator
Version:        0.1.4
Release:        %autorelease
Summary:        Pure python RFC3339 validator

# SPDX
License:        MIT
URL:            https://github.com/naimetti/rfc3339-validator
Source:         %{pypi_source rfc3339_validator}

BuildArch:      noarch

# Drop the pytest-runner test dependency and “setup.py test” support
# https://github.com/naimetti/rfc3339-validator/pull/7
#
# Fixes:
#
# Consider dropping the pytest-runner test dependency
# https://github.com/naimetti/rfc3339-validator/issues/6
#
# See also the deprecation notice at https://pypi.org/project/pytest-runner/.
#
# This version of the patch has been modified to apply to the PyPI sdist, which
# does not contain requirements_dev.txt; see:
#
# Include files for tox testing in the sdist
# https://github.com/naimetti/rfc3339-validator/pull/8
Patch:          rfc3339-validator-0.1.4-drop-pytest-runner.patch

BuildRequires:  python3-devel

%if %{with tests}
# We use manual BR’s rather than generating dependencies from tox (which uses
# requirements_dev.txt) because dependencies there are pinned to exact versions
# and most of them are linter, coverage, and other tools that we would need to
# patch out.
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(hypothesis)
BuildRequires:  python3dist(strict-rfc3339)
%endif

%global common_description %{expand:
A pure python RFC3339 validator.}

%description %{common_description}


%package -n python3-rfc3339-validator
Summary:        %{summary}

%description -n python3-rfc3339-validator %{common_description}


%prep
%autosetup -n rfc3339_validator-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l rfc3339_validator


%check
%if %{with tests}
%pytest
%else
%pyproject_check_import
%endif


%files -n python3-rfc3339-validator -f %{pyproject_files}
%doc CONTRIBUTING.rst
%doc HISTORY.rst
%doc README.md


%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.4-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.1.4-13
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.4-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Dec 18 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.4-10
- Do not package a duplicate AUTHORS.rst

* Mon Dec 18 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.4-9
- Assert that %%pyproject_files contains a license file

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jul 07 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.4-7
- Use new (rpm 4.17.1+) bcond style

* Thu Jun 15 2023 Python Maint <python-maint@redhat.com> - 0.1.4-6
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Nov 27 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.4-3
- Confirm license is SPDX MIT

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jul 06 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.4-1
- Initial package (close RHBZ#2095005)
## END: Generated by rpmautospec
